assert node.has_bundle('steam') and node.has_bundle('steam-workshop-download')

directories = {
    '/opt/steam/left4dead2/ems/admin system': {
        'owner': 'steam',
    },
    '/opt/steam/left4dead2/left4dead2/cfg/server': {
        'owner': 'steam',
        'purge': True,
    },
    '/opt/steam/left4dead2/left4dead2/addons': {
        'owner': 'steam',
        'purge': True,
    },
}

files = {
    '/opt/steam/left4dead2/ems/admin system/admins.txt': {
        'owner': 'steam',
        'content': '\n'.join(node.metadata.get('left4dead2/admins')),
    }
}

for name, config in node.metadata.get('left4dead2/servers').items():
    files[f'/opt/steam/left4dead2/left4dead2/cfg/server/{name}.cfg'] = {
        'content_type': 'mako',
        'source': 'server.cfg',
        'context': {
            'name': name,
        },
        'owner': 'steam',
        'triggers': [
            f'svc_systemd:left4dead2-{name}.service:restart',
        ],
    }
    svc_systemd[f'left4dead2-{name}.service'] = {
        'needs': [
            f'file:/usr/local/lib/systemd/system/left4dead2-{name}.service',
        ],
    }

for id in node.metadata.get('left4dead2/workshop'):
    files[f'/opt/steam/left4dead2/left4dead2/addons/{id}.vpk'] = {
        'content_type': 'any',
        'owner': 'steam',
        'group': 'steam',
    }
